Economy

Get Product Purchase

GET
/economy/purchases/{productPurchaseId}

Gets a single product purchase

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Path Parameters

productPurchaseId*string

Must be a valid purchase ID.

Response Body

application/json

application/json

curl -X GET "https://api.vrchat.cloud/api/1/economy/purchases/pur_f0446b91-e0f7-403e-8932-609d5057898c"
{
  "buyerDisplayName": "string",
  "buyerId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
  "firstParty": true,
  "isBuyer": true,
  "isGift": true,
  "isReceiver": true,
  "isSeller": true,
  "ledgerTransactionId": 0,
  "listingCurrentlyAvailable": true,
  "listingDescription": "string",
  "listingDisplayName": "string",
  "listingId": "prod_bfbc2315-247a-44d7-bfea-5237f8d56cb4",
  "listingImageId": "file_ce35d830-e20a-4df0-a6d4-5aaef4508044",
  "listingSubtitle": "string",
  "listingType": "duration",
  "products": [
    {
      "displayName": "string",
      "id": "prod_bfbc2315-247a-44d7-bfea-5237f8d56cb4",
      "imageId": "file_ce35d830-e20a-4df0-a6d4-5aaef4508044",
      "licenseId": "string",
      "productType": "inventory"
    }
  ],
  "purchaseActive": true,
  "purchaseContext": {
    "locationType": "undefined",
    "worldId": "wrld_4432ea9b-729c-46e3-8eaf-846aa0a37fdd",
    "worldName": "string"
  },
  "purchaseCurrentStatus": "string",
  "purchaseDate": "2019-08-24T14:15:22Z",
  "purchaseDuration": 0,
  "purchaseDurationType": "string",
  "purchaseEndDate": "2019-08-24T14:15:22Z",
  "purchaseFee": 0,
  "purchaseId": "pur_f0446b91-e0f7-403e-8932-609d5057898c",
  "purchaseLatest": true,
  "purchasePrice": 0,
  "purchaseQuantity": 0,
  "purchaseStartDate": "2019-08-24T14:15:22Z",
  "purchaseToken": {},
  "purchaseType": "string",
  "purchaseUnitPrice": 0,
  "purchaseValue": 0,
  "receiverDisplayName": "string",
  "receiverId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
  "recurrable": true,
  "refundable": true,
  "sellerDisplayName": "string",
  "sellerId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
  "stackable": true,
  "willRecur": true
}
{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}